package com.example.smartlab

import android.content.Intent
import android.content.SharedPreferences
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.*
import com.example.smartlab.databinding.ActivityOnBoard3Binding

class OnBoard3Activity : AppCompatActivity() {
    lateinit var binding: ActivityOnBoard3Binding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityOnBoard3Binding.inflate(layoutInflater)
        setContentView(binding.root)
    }
    fun overOnBoard(view: View) {
        val intent: Intent = Intent(this, RegestrationActivity::class.java)
        val editor: SharedPreferences.Editor =
            getSharedPreferences("PREFERENCE", MODE_PRIVATE).edit()
        editor.putBoolean("isFirstRun", false).commit()
        editor.apply()
        startActivity(intent)
    }
}